export const successResponse = (data, statusCode = 200, meta = {}) => {
  return {
    statusCode,
    body: {
      status: 'success',
      data,
      meta: {
        timestamp: new Date().toISOString(),
        ...meta
      }
    }
  };
};

export const listResponse = (data, total, limit, offset, statusCode = 200, meta = {}) => {
  return {
    statusCode,
    body: {
      status: 'success',
      data,
      meta: {
        total,
        limit,
        offset,
        timestamp: new Date().toISOString(),
        ...meta
      }
    }
  };
};
